Subject: Re: Fwd: I-D ACTION:draft-stracke-calsch-crisp-00.txt

From: [email-masked]
Date: Thu, 17 Aug 2000 09:25:39 -0400

Bruce, I actually thought the text might be incomplete as well.  If this 
is intended to be iTIP provider, then I thought the draft was too brief. 
John, your comments?
___________________
Patricia Egen Consulting
www.egenconsulting.com
423-875-2652

[email-masked]
Sent by: [email-masked]
08/16/00 11:18 AM

        To:     [email-masked]
        cc: 
        Subject:        Re: Fwd: I-D ACTION:draft-stracke-calsch-crisp-00.txt

Doug replied: 
>> 1: Is a CRISP server intended to be an iTIP->CAP bridge ONLY or is it
>> intended to be iTIP<->CAP (ie: a bidirectional transcoder)??
>> 
>> 2: Is CRISP an attempt to try to make a realtime ONLY iTIP bridge to 
CAP
>> or is there any intenet/expectation to do iMIP bridging?
>
>CRISP is a CAP server that is limited to iTIP functionality.
>It is in response to several peoples desire to keep iRIP alive.
>So a client expecting to talk to a CRISP server could also
>talk to a CAP server and everything would work. 

I got most of that from the abstract but its not clear from the text if 
CRISP is intended to be 'an iTIP service provider for CAP servers' or just 
'a bridge to provide iTIP access to a CAP server'.  If the former case 
then the draft is incomplete.  If the latter case then the text should 
indicate that CRISP is just meant for that purpose alone.  The text about 
proxying thru firewalls could be interpreted as the former case and so Im 
asking to avoid confusion later.   

John, can you clarify this intent/ability in the next draft update?? 

Ill guess that the answer to #2 is "realtime ONLY iTIP" (ie: iRIP) and not 
'iMIP bridging'.  "CAP server that is limited to iTIP functionality" implies iMIP is possible (iTIP fanout anyone??) but "[CRISP] is in response to several peoples desire to keep iRIP alive" implies more strongly iRIP only.  If Ive misguessed, Im sure Ill hear 
about it. 

Bruce 
===========================================================================
Bruce Kahn                                INet: [email-masked]
Iris Associates                          Phone: 978.392.5335
Westford, MA, USA 01886                    FAX: and nothing but the FAX...
Standard disclaimers apply, even where prohibited by law...

---

From: Doug Royer <[email-masked]>
Date: Thu, 17 Aug 2000 08:07:42 -0700

> CRISP is intended to be 'an iTIP service provider for CAP servers' or
> just 'a bridge to provide iTIP access to a CAP server'.  If the former
> case then the draft is incomplete.  If the latter case then the text
> should indicate that CRISP is just meant for that purpose alone.  The
> text about proxying thru firewalls could be interpreted as the former
> case and so Im asking to avoid confusion later.

I do not understand the difference in the two questions.
What is "an iTIP service provider for CAP servers" ?

> Ill guess that the answer to #2 is "realtime ONLY iTIP" (ie: iRIP) and
> not 'iMIP bridging'.

What is "iMIP bridging" ?

>  "CAP server that is limited to iTIP functionality"
> implies iMIP is possible (iTIP fanout anyone??) but "[CRISP] is in
> response to several peoples desire to keep iRIP alive" implies more
> strongly iRIP only.  If Ive misguessed, Im sure Ill hear about it.

Who ever said that iRIP could not do iMIP? In fact I think
the ORGANIZER and ATTENDEE properties in iRIP were MUST == mailto
urls. So what is the difference?

-Doug